texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[5464] info: 2 new tests


From: Gavin D. Smith
Subject: [5464] info: 2 new tests
Date: Fri, 18 Apr 2014 19:19:44 +0000

Revision: 5464
          http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=5464
Author:   gavin
Date:     2014-04-18 19:19:43 +0000 (Fri, 18 Apr 2014)
Log Message:
-----------
info: 2 new tests

Modified Paths:
--------------
    trunk/ChangeLog
    trunk/info/Makefile.am

Added Paths:
-----------
    trunk/info/t/index-long-nodeline.drib
    trunk/info/t/index-long-nodeline.sh
    trunk/info/t/infodir/split.info
    trunk/info/t/infodir/split.info-1
    trunk/info/t/infodir/split.info-2
    trunk/info/t/split-index.drib
    trunk/info/t/split-index.sh

Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog     2014-04-17 20:15:21 UTC (rev 5463)
+++ trunk/ChangeLog     2014-04-18 19:19:43 UTC (rev 5464)
@@ -1,5 +1,13 @@
 2014-04-17  Gavin Smith  <address@hidden>
 
+       * info/Makefile.am: Two new tests.
+       * info/t/long-nodeline.sh, info/t/long-nodeline.drib,
+       info/t/split-index.sh, info/t/split-index.drib,
+       info/t/infodir/split.info, info/t/infodir/split.info-1,
+       info/t/infodir/split.info-2: New files.
+
+2014-04-17  Gavin Smith  <address@hidden>
+
        * info/session.c (backward_move_node_structure): Null check.
 
 2014-04-17  Gavin Smith  <address@hidden>

Modified: trunk/info/Makefile.am
===================================================================
--- trunk/info/Makefile.am      2014-04-17 20:15:21 UTC (rev 5463)
+++ trunk/info/Makefile.am      2014-04-18 19:19:43 UTC (rev 5464)
@@ -99,4 +99,10 @@
        t/dir-3-menus.sh \
        t/tab.sh \
        t/index.sh \
+       t/split-index.sh \
+       t/index-long-nodeline.sh \
        t/help.sh
+
+XFAIL_TESTS = \
+      t/index-long-nodeline.sh
+

Added: trunk/info/t/index-long-nodeline.drib
===================================================================
--- trunk/info/t/index-long-nodeline.drib                               (rev 0)
+++ trunk/info/t/index-long-nodeline.drib       2014-04-18 19:19:43 UTC (rev 
5464)
@@ -0,0 +1,4 @@
+gIndex
+               
+
+Dq
\ No newline at end of file

Added: trunk/info/t/index-long-nodeline.sh
===================================================================
--- trunk/info/t/index-long-nodeline.sh                         (rev 0)
+++ trunk/info/t/index-long-nodeline.sh 2014-04-18 19:19:43 UTC (rev 5464)
@@ -0,0 +1,30 @@
+# Copyright (C) 2014 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#!/bin/sh
+
+. t/Init-test.inc
+. t/Init-intera.inc 
+
+# Follow an menu item from the index node to a node where physical lines
+# don't match logical lines.
+
+$GINFO -f split --restore t/index-long-nodeline.drib
+
+test -f $GINFO_OUTPUT || exit 1
+# Return non-zero (test failure) if files differ
+diff $GINFO_OUTPUT t/node-target
+RETVAL=$?
+
+. t/Cleanup.inc


Property changes on: trunk/info/t/index-long-nodeline.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/info/t/infodir/split.info
===================================================================
(Binary files differ)


Property changes on: trunk/info/t/infodir/split.info
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Added: trunk/info/t/infodir/split.info-1
===================================================================
(Binary files differ)


Property changes on: trunk/info/t/infodir/split.info-1
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Added: trunk/info/t/infodir/split.info-2
===================================================================
(Binary files differ)


Property changes on: trunk/info/t/infodir/split.info-2
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Added: trunk/info/t/split-index.drib
===================================================================
--- trunk/info/t/split-index.drib                               (rev 0)
+++ trunk/info/t/split-index.drib       2014-04-18 19:19:43 UTC (rev 5464)
@@ -0,0 +1,3 @@
+ientry text
+
+Dq
\ No newline at end of file

Added: trunk/info/t/split-index.sh
===================================================================
--- trunk/info/t/split-index.sh                         (rev 0)
+++ trunk/info/t/split-index.sh 2014-04-18 19:19:43 UTC (rev 5464)
@@ -0,0 +1,29 @@
+# Copyright (C) 2014 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#!/bin/sh
+
+. t/Init-test.inc
+. t/Init-intera.inc 
+
+# Follow an index entry in a split file
+
+$GINFO -f split --restore t/split-index.drib
+
+test -f $GINFO_OUTPUT || exit 1
+# Return non-zero (test failure) if files differ
+diff $GINFO_OUTPUT t/node-target
+RETVAL=$?
+
+. t/Cleanup.inc


Property changes on: trunk/info/t/split-index.sh
___________________________________________________________________
Added: svn:executable
   + *




reply via email to

[Prev in Thread] Current Thread [Next in Thread]